Update cart header - Fabric

Update cart header

cURL

curl --request PATCH \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/header \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "account": "<string>",
  "approver": "<string>",
  "company": "<string>",
  "po": "<string>",
  "extra": {}
}
'  

Python

import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/header"

payload = {
    "account": "<string>",
    "approver": "<string>",
    "company": "<string>",
    "po": "<string>",
    "extra": {}
}
headers = {
    "x-site-context": "<x-site-context>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PATCH',
  headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    account: '<string>',
    approver: '<string>',
    company: '<string>',
    po: '<string>',
    extra: {}
  })
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/header', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/header",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'account' => '<string>',
    'approver' => '<string>',
    'company' => '<string>',
    'po' => '<string>',
    'extra' => []
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/header"

payload := strings.NewReader("{\n  \"account\": \"<string>\",\n  \"approver\": \"<string>\",\n  \"company\": \"<string>\",\n  \"po\": \"<string>\",\n  \"extra\": {}\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest for Java

HttpResponse<String> response = Unirest.patch("https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/header")
  .header("x-site-context", "<x-site-context>")
  .header("Content-Type", "application/json")
  .body("{\n  \"account\": \"<string>\",\n  \"approver\": \"<string>\",\n  \"company\": \"<string>\",\n  \"po\": \"<string>\",\n  \"extra\": {}\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/header")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"account\": \"<string>\",\n  \"approver\": \"<string>\",\n  \"company\": \"<string>\",\n  \"po\": \"<string>\",\n  \"extra\": {}\n}"

response = http.request(request)
puts response.read_body

Response Example

{
  "extra": {},
  "deleted": false,
  "allPromosApplied": [
    {
      "unit": "<string>",
      "value": 123,
      "ON": {
        "kind": "SKU",
        "value": ""
      },
      "id": "<string>",
      "promoId": "<string>",
      "promoCode": "<string>"
    }
  ],
  "items": [
    {
      "itemId": 1000000012,
      "quantity": 2,
      "price": {
        "currency": "USD",
        "base": 15.99,
        "discount": {
          "price": 10.99,
          "discountAmount": 10.99,
          "promosApplied": [
            {
              "unit": "<string>",
              "value": 123,
              "ON": {
                "kind": "SKU",
                "value": ""
              },
              "id": "<string>",
              "promoId": "<string>",
              "promoCode": "<string>"
            }
          ]
        },
        "sale": 10.99
      },
      "totalPrice": {
        "currency": "USD",
        "amount": 200
      },
      "title": "item title"
    }
  ],
  "cartId": 4,
  "totalAmmount": {
    "currency": "USD",
    "amount": 200
  }
}

Error Response Example

{
  "code": "<string>",
  "message": "<string>"
}